import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(0,100, 1000)
x = x[x!=0]
y = np.linspace(0,100, 1000)
y = y[y!=0]
X,Y = np.meshgrid(x,y)
Z = np.zeros( [len(x), len(y)] )

for i, xi in enumerate(x):
    for j, yj in enumerate(y):
        Z[i,j] = (xi + yj)/(xi + 2*yj)

fig, ax = plt.subplots(subplot_kw={"projection": "3d"})
ax.plot_surface(X, Y, Z, cmap=plt.cm.coolwarm, linewidth=0, antialiased=False)
ax.contourf(X, Y, Z, zdir='z', offset=-0.0 )

ax.set_zlim([0,1])
ax.set_xlabel('$R_1$')
ax.set_ylabel('$R_2$')
ax.set_zlabel('pwm%')

plt.show()
